<?php

namespace SuperRhino\Utils;

use SuperRhino\Utils\KeyStore\KeyStoreCountInterface;

/**
 * @method static int getCount(string $key, int $default = 0)
 * @method static bool setCount(string $key, int $count)
 * @method static int incrementCount(string $key, int $increment = 1)
 * @method static bool delCount(string $key)
 */
class KeyStoreCount extends Facade {

    protected static function getFacadeAccessor() {
        return KeyStoreCountInterface::class;
    }

}